Ads · Conversions
Adds an event destination.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Request body
application/json, required
profileIdstringrequiredaccountIdstringrequireddestinationIdstringrequiredeventNamesarray of stringAt least 1 item. Up to 50 items.
Example
curl -X POST "https://api.pozy.ai/v1/events/destinations" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"profileId": "6a0b6573846efc28aaa9a3ff",
"accountId": "696e0b682d0a31188e7a2ba9",
"destinationId": "68320031250f5d01a73ce89b"
}'const res = await fetch("https://api.pozy.ai/v1/events/destinations", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
profileId: "6a0b6573846efc28aaa9a3ff",
accountId: "696e0b682d0a31188e7a2ba9",
destinationId: "68320031250f5d01a73ce89b"
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/events/destinations",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"profileId": "6a0b6573846efc28aaa9a3ff",
"accountId": "696e0b682d0a31188e7a2ba9",
"destinationId": "68320031250f5d01a73ce89b",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
201 on success
destinationobjectidstringprofileIdstringaccountIdstringdestinationIdstringeventNamesarray of stringCan be null.
createdAtstring (date-time)
201 response
{
"destination": {
"id": "6bfebd43ddc270f6d2c56fc5",
"profileId": "6a0b6573846efc28aaa9a3ff",
"accountId": "696e0b682d0a31188e7a2ba9",
"destinationId": "68320031250f5d01a73ce89b",
"eventNames": [
"Acme"
],
"createdAt": "2026-10-02T09:00:00.000Z"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Conversions
GETGet Event Match QualityPOSTSend conversion eventsPOSTAdjust uploaded conversionsGETList conversion actionsPOSTCreate website conversion actionGETList account conversion goalsPATCHUpdate account conversion goalsPATCHUpdate a conversion action's settingsGETList custom conversion goalsPOSTCreate a custom conversion goalPATCHUpdate a custom conversion goalDELRemove a custom conversion goalGETList stored eventsPOSTSend events to every destinationGETList event destinationsDELRemove an event destinationGETList conversion destinationsPOSTCreate a conversion destinationGETGet a conversion destinationPATCHUpdate a conversion destinationDELDelete a conversion destinationGETList associated campaignsPOSTAssociate campaignsDELRemove associated campaignsGETGet attribution metrics